Storyden
Admin

O Auth Remote Discover

Discover OAuth configuration for a remote protected resource URL. Storyden fetches protected resource metadata, follows the advertised authorization server, and chooses CIMD, DCR, or manual setup according to the discovered authorization server metadata.

POST/admin/oauth/remote/discover

Discover OAuth configuration for a remote protected resource URL.

Storyden fetches protected resource metadata, follows the advertised authorization server, and chooses CIMD, DCR, or manual setup according to the discovered authorization server metadata.

Authorization

storyden-session<token>

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/admin/oauth/remote/discover" \  -H "Content-Type: application/json" \  -d '{    "resource_url": "http://example.com"  }'
{  "resource_url": "http://example.com",  "protected_resource_metadata": {    "resource": "string",    "resource_name": "string",    "authorization_servers": [      "http://example.com"    ],    "bearer_methods_supported": [      "string"    ]  },  "authorization_server": "http://example.com",  "authorization_server_metadata": {    "issuer": "string",    "authorization_endpoint": "http://example.com",    "token_endpoint": "http://example.com",    "registration_endpoint": "http://example.com",    "response_types_supported": [      "string"    ],    "grant_types_supported": [      "string"    ],    "token_endpoint_auth_methods_supported": [      "string"    ],    "code_challenge_methods_supported": [      "string"    ],    "client_id_metadata_document_supported": true  },  "mode": "cimd",  "client_id": "string",  "redirect_uri": "http://example.com"}